### Name: xBalance
### Title: STANDARDIZED DIFFERENCES FOR STRATIFIED COMPARISONS
### Aliases: xBalance
### Keywords: nonparametric

### ** Examples

data(nuclearplants)

xBalance(pr~ date + t1 + t2 + cap + ne + ct + bw + cum.n, data=nuclearplants)

xBalance(pr~ date + t1 + t2 + cap + ne + ct + bw + cum.n, data=nuclearplants,
         report=c("adj.means","adj.mean.diffs","std.diffs", "z.scores", "chisquare.test"))

xBalance(pr~.-cost-pt, strata=factor(nuclearplants$pt), data=nuclearplants, 
         report=c("adj.means","adj.mean.diffs","std.diffs", "z.scores", "chisquare.test"))

xBalance(pr~ date + t1 + t2 + cap + ne + ct + bw + cum.n,
         strata=list(unstrat=NULL, pt=~pt),
         data=nuclearplants,
         report=c("adj.means", "chisquare.test"))

xBalance(pr~ date + t1 + t2 + cap + ne + ct + bw + cum.n,
         strata=data.frame(unstrat=factor('none'),
           pt=factor(nuclearplants$pt)),
         data=nuclearplants,
         report=c("adj.means", "chisquare.test"))




